public static interface TimerEndpointBuilderFactory.TimerBuilders
| Modifier and Type | Method and Description |
|---|---|
default TimerEndpointBuilderFactory.TimerEndpointBuilder |
timer(String path)
Timer (camel-timer)
Generate messages in specified intervals using java.util.Timer.
|
default TimerEndpointBuilderFactory.TimerEndpointBuilder |
timer(String componentName,
String path)
Timer (camel-timer)
Generate messages in specified intervals using java.util.Timer.
|
default TimerEndpointBuilderFactory.TimerEndpointBuilder timer(String path)
timer:timerName
Path parameter: timerName (required)
The name of the timerpath - timerNamedefault TimerEndpointBuilderFactory.TimerEndpointBuilder timer(String componentName, String path)
timer:timerName
Path parameter: timerName (required)
The name of the timercomponentName - to use a custom component name for the endpoint
instead of the default namepath - timerNameApache Camel